clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
add_new_check Namespace Reference

## Functions
def | adapt_cmake
def | write_header
def | write_implementation
def | adapt_module
def | write_test
def | update_checks_list
def | write_docs
def | main

## Function Documentation

def add_new_check.adapt_cmake | ( |  | module_path,
|  |  | check_name_camel
| ) |  |

Definition at line 19 of file add_new_check.py.

Referenced by main().

def add_new_check.adapt_module | ( |  | module_path,
|  |  | module,
|  |  | check_name,
|  |  | check_name_camel
| ) |  |

Definition at line 153 of file add_new_check.py.

Referenced by main().

def add_new_check.main | ( |  | ) |

Definition at line 264 of file add_new_check.py.

References adapt_cmake(), adapt_module(), update_checks_list(), write_docs(), write_header(), write_implementation(), and write_test().

def add_new_check.update_checks_list | ( |  | module_path | ) |

Definition at line 217 of file add_new_check.py.

Referenced by main().

def add_new_check.write_docs | ( |  | module_path,
|  |  | module,
|  |  | check_name
| ) |  |

Definition at line 247 of file add_new_check.py.

Referenced by main().

def add_new_check.write_header | ( |  | module_path,
|  |  | module,
|  |  | check_name,
|  |  | check_name_camel
| ) |  |

Definition at line 48 of file add_new_check.py.

Referenced by main().

def add_new_check.write_implementation | ( |  | module_path,
|  |  | module,
|  |  | check_name_camel
| ) |  |

Definition at line 102 of file add_new_check.py.

Referenced by main().

def add_new_check.write_test | ( |  | module_path,
|  |  | module,
|  |  | check_name
| ) |  |

Definition at line 192 of file add_new_check.py.

Referenced by main().